Pb wpa_supplicant et ipw2200


#1

Bonjour,
J’ai un portable Dell D610, et j’essaye, en vain, de faire marcher ma carte wifi intel ipw2200. J’ai retourné google dans tous les sens et je suis parvenu à la faire fonctionner: Compilation, installation du module et du firmware, installation et configuration de wpa_supplicant. Le module se lance, mais impossible de se connecter à mon AP qui utilise WPA-PSK avec filtre sur adesse MAC…

Ma config:
:arrow_right: Driver ipw2200 1.0.8
:arrow_right: Firware version 2.0
:arrow_right: wpa_supplicant 0.4.6
:arrow_right: Wireless extension v18
:arrow_right: Debian SID à jour :laughing:
:arrow_right: Noyau 2.6.12 compilé avec support du wireless (non-hamradio)

Mon wpa_supplicant.conf:

[quote]ctrl_interface=/var/run/wpa_supplicant
ctrl_interface_group=0
eapol_version=1
ap_scan=1
fast_reauth=1
network={
ssid="MYSSID"
scan_ssid=0
proto=WPA
key_mgmt=WPA-PSK
auth_alg=OPEN
pairwise=TKIP
group=TKIP
psk=“MyPass”
}
[/quote]

Mon fichier interface:

Et quand je fais un ifup eth1:

Les problèmes que j’ai cru identifier:
:arrow_right: freq=0 MHz :open_mouth:
:arrow_right: ioctl[IPW_IOCTL_WPA_SUPPLICANT]: Invalid argument :frowning:

J’ai jeté un oeil dans les sources du drivers… j’ai rien trouvé…

Je craque… Aidez moi siouplait :stuck_out_tongue:


#2

J’imagine, déjà, que dans wpa_supplicant.conf, MYSSID et Mypass ont bien été remplacés par les valeurs que tu as mis dans ton AP, et que tu utilises ces termes pour éviter de divulguer les “vrais” caractèristiques de ton accés ?
donc as tu essayé avec des options minimales dans wpa_supplicant.conf, genre:

ctrl_interface=/var/run/wpa_supplicant #ctrl_interface_group=0 eapol_version=1 #ap_scan=1 #fast_reauth=1 network={ ssid="MYSSID" #scan_ssid=0 proto=WPA key_mgmt=WPA-PSK #auth_alg=OPEN pairwise=TKIP group=TKIP psk="MyPass" }


#3

[quote=“MattOTop”]J’imagine, déjà, que dans wpa_supplicant.conf, MYSSID et Mypass ont bien été remplacés par les valeurs que tu as mis dans ton AP, et que tu utilises ces termes pour éviter de divulguer les “vrais” caractèristiques de ton accés ?
donc as tu essayé avec des options minimales dans wpa_supplicant.conf[/quote]

Oui, en effet j’ai modifié ces valeurs dans un but de “sécurité” :laughing:
J’ai aussi essayé avec le minimum (au début). Ce qui me fait plus de soucis, c’est le “Invalid Argument”… Je trouve rien dessus sur le net… J’ai même regardé dans le code source l’endrois qui affiche cette erreur, mais je ne vois pas de quoi celà peux venir… Je me demande si ce n’est pas une option de compilation de mon noyau qui manque, mais je ne trouve pas laquelle… :frowning:


#4

effectivement, j’ai regardé les options de WLAN dans mon .config (2.6.14) et je n’ai rien trouvé de parlant non plus…
Pas d’idée nouvelle là tout de suite, dsl.


#5

je ne sais pas si tu connais ça:
madwifi.net/Install-HOWTO/Dr … -HOWTO.txt
ou il est dit que le minimum de config noyau, c’est:
CONFIG_DRIVER_MADWIFI=y
CONFIG_WIRELESS_EXTENSION=y
(mais c’est peut être obsolète, faut voir).


#6

J’ai fait autrement… Je suis pasé en 2.6.14 avec les drivers ipw2200 prévu dans le noyau.
J’ai téléchargé le firmware version 2.2. Au passage, il faut renommer les fichier de firmware:
:arrow_right: ipw2200-boot.fw devient ipw-2.2-boot.fw
:arrow_right: ipw2200-bss.fw devient ipw-2.2-bss.fw
:arrow_right: ipw2200-ibss.fw devient ipw-2.2-ibss.fw
:arrow_right: ipw2200-ucode.fw devient ipw-2.2-bss_ucode.fw

Maintenant le Wifi marche, je n’ai pas encore testé le WPA… je vous tiens au courrant, merci MattOtop pour ton aide :wink: